Стоит ли обновлять систему OpenCart?

28.03.2018 11:29 (568 просмотров)

Если Ваш сайт работает на OpenCart 1.5.6, а теперь хочется обновиться до 2.3.0.2 или вовсе 3.0.3.0b. Стоит ли это делать?

Чтобы ответить наверняка, нужно определить, в каком состоянии находится Ваш сайт. Если на нем установлена куча модулей (произведена SEO-оптимизация), есть нормальное оформление заказа, работает связка с 1С, то обновляться НЕ НУЖНО! Намного дешевле будет переверстать устаревший шаблон. Потому что:

  • Сама система достаточна надежная. Нет сообщений о серьезных проблемах с безопасностью
  • Некоторые модули для версии 2.x необходимо покупать отдельно, даже если Вы покупали для 1.5.x
  • Некоторые модули прекратили обновляться - и вместо них необходимо покупать новые модули
  • Обновление превратиться в отлавливание багов, которые будут проявляться то там, то сям, причем со временем — то есть надо будет тянуть резину с разработчиком, заставляя его остаться в Вашем проекте, отказываясь от других предложений

Если же Ваш сайт в плохом состоянии и ничего не продает, то лучше устанавливайте актуальную сегодня версию (2.3.0.2). Просто перенесите товары и заказы + шлифуйте сайт уже отталкиваясь от сегодняшней реальности. Потому как:

  • Вы еще толком не потратились на сайт (домен, хостинг и 100$ фрилансеру новичку, который там что-то поделал — не считаем. Считаем покупку модулей, интеграцию с 1С и тд).
  • По сути проще начать все с нуля, чем доделывать сырой сайт, потому что со времени выхода версии 2.x появилось намного больше разработчиков, который продают свои модули дешевле, чем первопроходцы
  • В ветке 2 есть новый встроенный функционал, который избавляет от необходимости устанавливать лишние модули. К примеру, менеджер дополнений вместо vQmod
  • Для ветки 2 выпускаются нормальные современные шаблоны дизайна, в отличие от 1.5.x
  • Многие разработчики избегают работы с 1.5.x или завышают цену работы